package net.sf.javaprinciples.resource;

/**
 * Base Exception class for exceptions thrown by the Resource framework.
 * @author rvl
 */
@SuppressWarnings("serial")
public class ResourceException extends Exception
{
    /**
     * Construct a ResourceException with a message and a throwable.
     * @param msg The message for the exception.
     * @param exception The exception that caused this exception to be thrown.
     */
    public ResourceException(String msg, Throwable exception)
    {
        super(msg, exception);
    }

    /**
     * Construct a ResourceException with only a message.
     * @param msg The message for the exception.
     */
    public ResourceException(String msg)
    {
        super(msg);
    }

}
